堡塔724运维节,企业版724元/年,永久授权最高立减6000元,仅限7.24日当天查看活动
当前位置:论坛首页 > Linux面板 > 求助

【已解决】更新至7.9.3后,M edia Wi ki报SSL错误

发表在 Linux面板2022-8-6 15:46 [复制链接] 4 137

前几天从7.80更新至7.9.3后,Me  d  iaW  iki的可   视化编  辑器(V i sual    Edi    tor)在https状态下报以下错误:

Error contacting the Parsoid/RESTBase server: (curl error: 60) SSL peer certificate or SSH remote key was not OK(如图)

Screenshot_20220806_153647.png



且面板一直提示S   S   L证书即将过期,遂续签证书,但依旧提示S  S   L证书不正确,期间未对其他配置和M  edia  Wi  ki做任何修改,请问如何处理呢?

(有些词中间分开了,因为那个原因。)
使用道具 举报 只看该作者 回复
发表于 2022-8-6 16:21:42 | 显示全部楼层
堡塔安全木兰 发表于 2022-8-6 16:16
需要一个受信任的证书,不然会报错,这个报错是证书不受信任,或者你看看是否可以跳过证书检测 ...

curl是需要一个证书,但是这个证书在7.80版本里面就是ssl所对应的那个证书,但是到了7.93之后就不会随着ssl签发而更新了,在/etc/pki/ca-trust/extracted/pem/ 里面只有面板升级时时间截的一个证书,这该怎么处理...
使用道具 举报 回复 支持 反对
发表于 2022-8-6 16:37:44 | 显示全部楼层
堡塔安全木兰 发表于 2022-8-6 16:31
你给面板设置一个域名,然后申请一个SSL证书试试;

那个ca证书是更新到curl最新的;你也可以重新下载一 ...

重新拉取cacert.pem后解决了,非常感谢。应该是原先升级后的证书不太对。
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表